# SelectionIndicator

#### new Cesium.SelectionIndicator(container, scene)
Widgets/SelectionIndicator/SelectionIndicator.js 19

A widget for displaying an indicator on a selected object.

Name | Type | Description
--- | --- | ---
`container` | Element | String | The DOM element or ID that will contain the widget.
`scene` | Scene | The Scene instance to use.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

### Members

#### container : Element
Widgets/SelectionIndicator/SelectionIndicator.js 71

Gets the parent container.

#### viewModel : SelectionIndicatorViewModel
Widgets/SelectionIndicator/SelectionIndicator.js 83

Gets the view model.

### Methods

#### destroy()
Widgets/SelectionIndicator/SelectionIndicator.js 101

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/SelectionIndicator/SelectionIndicator.js 93

##### Returns:

true if the object has been destroyed, false otherwise.